> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/v1/units-of-measure/{id} > Retrieves the unit of measure specified by the id ## OpenAPI ````json GET /public/v1/units-of-measure/{id} { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/v1/units-of-measure/{id}": { "get": { "tags": [ "inventory" ], "description": "Retrieves the unit of measure specified by the id", "parameters": [ { "name": "id", "in": "path", "description": "The identifier of the unit of measure", "required": true, "schema": { "type": "string($uuid)" } } ], "responses": { "200": { "description": "The unit of measure entity", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.UnitsOfMeasure.Models.UnitOfMeasurePublicDto" } }, "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.UnitsOfMeasure.Models.UnitOfMeasurePublicDto" } }, "text/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.UnitsOfMeasure.Models.UnitOfMeasurePublicDto" } } } }, "403": { "description": "Forbidden", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.ProblemDetails" } } } }, "422": { "description": "Unprocessable Content", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.R365Error" } } } } } } } }, "components": { "schemas": { "R365.Inventory.Public.Contracts.UnitsOfMeasure.Models.UnitOfMeasurePublicDto": { "type": "object", "properties": { "id": { "type": "string", "description": "The id of the unit of measure.", "format": "uuid" }, "name": { "type": "string", "description": "The name of the unit of measure.", "nullable": true }, "isBase": { "type": "boolean", "description": "Indicates if this unit of measure is a base unit of measure." }, "isPrimitive": { "type": "boolean", "description": "Indicates if this unit of measure is a primitive unit of measure, meaning it is\r\ndefined by the system and cannot be modified or deleted." }, "isPurchase": { "type": "boolean", "description": "Indicates if this unit of measure can be used for purchase items." }, "isRecipe": { "type": "boolean", "description": "Indicates if this unit of measure can be used for recipe items." }, "isActive": { "type": "boolean", "description": "Indicates if this unit of measure is active." }, "baseQuantity": { "type": "number", "description": "The quantity multiplier for this unit of measure in relation to the base unit of measure.", "format": "double" }, "equivalentQuantity": { "type": "number", "description": "The quantity multiplier for this unit of measure in relation to the equivalent unit of measure.", "format": "double" }, "measureType": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.UnitsOfMeasure.Models.MeasureType" }, "equivalentUnitOfMeasure": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.UnitsOfMeasure.Models.UnitOfMeasureReference" }, "baseUnitOfMeasure": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.UnitsOfMeasure.Models.UnitOfMeasureReference" }, "brand": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Brands.BrandReference" }, "createdBy": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference", "description": "User who created the unit of measure." }, "createdOn": { "type": "string", "description": "The date and time this unit of measure was created.", "format": "date-time" }, "modifiedBy": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference", "description": "User who last modified the unit of measure." }, "modifiedOn": { "type": "string", "description": "The date and time this unit of measure was last modified.", "format": "date-time" } }, "additionalProperties": false, "description": "A unit of measure, which is a way to quantify the amount of an item." }, "R365.Inventory.Public.Models.ProblemDetails": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "title": { "type": "string", "nullable": true }, "status": { "type": "integer", "format": "int32", "nullable": true, "description": "Current status of the problem details." }, "detail": { "type": "string", "nullable": true }, "instance": { "type": "string", "nullable": true } } }, "R365.Inventory.Public.Models.R365Error": { "type": "object", "properties": { "errorCode": { "type": "string", "nullable": true }, "innerError": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.R365Error" } } }, "R365.Inventory.Public.Contracts.UnitsOfMeasure.Models.MeasureType": { "enum": [ 1, 2, 3 ], "type": "integer", "description": "The available basic measurement definitions", "format": "int32", "x-enum-varnames": [ "Weight", "Volume", "Each" ] }, "R365.Inventory.Public.Contracts.UnitsOfMeasure.Models.UnitOfMeasureReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the unit of measure." }, "name": { "type": "string", "nullable": true, "description": "Display name of the unit of measure." } }, "additionalProperties": false, "description": "A reference to a unit of measure." }, "R365.Inventory.Shared.Contracts.Brands.BrandReference": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64", "description": "Unique identifier of the brand." }, "name": { "type": "string", "nullable": true, "description": "Display name of the brand." } }, "additionalProperties": false, "description": "A reference to a Brand." }, "R365.Inventory.Shared.Contracts.Users.UserReference": { "type": "object", "properties": { "id": { "type": "string", "description": "The unique identifier of the user.", "format": "uuid" }, "name": { "type": "string", "description": "The name of the user.", "nullable": true } }, "additionalProperties": false, "description": "A reference to a user." } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````